Skip to main content
GET
Get studio order refund status

Authorizations

Authorization
string
header
required

Batch Relay scoped API key or an anonymous Test Mode session. Scope names document required capabilities. Anonymous sessions are sandbox-only and do not authorize studio, event, billing, or Live Mode operations.

Headers

X-BatchRelay-Delegated-Authorization
string

Original delegated Clerk OAuth bearer. Go independently verifies signature/current revocation, exact resource audience, allowed OAuth client and action scope. Caller must match attributed API key creator. Never send an unverified subject header.

X-BatchRelay-Client-Surface
string

Untrusted optional analytics hint naming the calling client surface. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100
X-BatchRelay-Client-Version
string

Untrusted optional analytics hint naming the calling client version. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100
X-BatchRelay-Invocation-Mode
string

Untrusted optional analytics hint naming the invocation mode. It never affects authorization, routing, pricing, or behavior.

Required string length: 1 - 100

Path Parameters

studio_id
string
required

Opaque public studio_id. Private Convex IDs are rejected.

request_id
string
required

Opaque public request_id. Private Convex IDs are rejected.

Response

Authoritative Studio result

amount_cents
integer<int64>
required
blockers
string[]
required
created_at
integer<int64>
required
currency
string
required
customer_id
string
required
environment
string
required
execution_required
boolean
required
id
string
required
order_id
string
required
preview_id
string
required
simulated
boolean
required
status
string
required
studio_id
string
required